import '../../winrt_constants.dart';

/// `IIterable` IIDs used in `IMap` and `IMapView`.
const mapIterableIids = <String>{
  IID_IIterable_IKeyValuePair_GUID_BackgroundTaskRegistration,
  IID_IIterable_IKeyValuePair_GUID_IBackgroundTaskRegistration,
  IID_IIterable_IKeyValuePair_GUID_Object,
  IID_IIterable_IKeyValuePair_GUID_SpatialSurfaceInfo,
  IID_IIterable_IKeyValuePair_Object_Object,
  IID_IIterable_IKeyValuePair_PedometerStepKind_PedometerReading,
  IID_IIterable_IKeyValuePair_String_IVector_String,
  IID_IIterable_IKeyValuePair_String_IVectorView_String,
  IID_IIterable_IKeyValuePair_String_IVectorView_TextSegment,
  IID_IIterable_IKeyValuePair_String_String,
  IID_IIterable_IKeyValuePair_String_Object,
  IID_IIterable_IKeyValuePair_String_BackgroundTaskRegistrationGroup,
  IID_IIterable_IKeyValuePair_String_ChatMessageStatus,
  IID_IIterable_IKeyValuePair_String_NamedResource,
  IID_IIterable_IKeyValuePair_String_ResourceMap,
  IID_IIterable_IKeyValuePair_String_LicenseSatisfactionInfo,
  IID_IIterable_IKeyValuePair_String_ProductLicense,
  IID_IIterable_IKeyValuePair_String_ProductListing,
  IID_IIterable_IKeyValuePair_String_VoiceCommandDefinition,
  IID_IIterable_IKeyValuePair_String_WalletItemCustomProperty,
  IID_IIterable_IKeyValuePair_String_WalletRelevantLocation,
  IID_IIterable_IKeyValuePair_String_WalletTransaction,
  IID_IIterable_IKeyValuePair_String_WalletVerb,
  IID_IIterable_IKeyValuePair_String_IJsonValue,
  IID_IIterable_IKeyValuePair_String_GattServiceProviderConnection,
  IID_IIterable_IKeyValuePair_String_IppAttributeError,
  IID_IIterable_IKeyValuePair_String_IppAttributeValue,
  IID_IIterable_IKeyValuePair_String_BitmapTypedValue,
  IID_IIterable_IKeyValuePair_String_IPrintOptionDetails,
  IID_IIterable_IKeyValuePair_String_MediaFrameSource,
  IID_IIterable_IKeyValuePair_String_VoiceCommandSet,
  IID_IIterable_IKeyValuePair_String_SocketActivityInformation,
  IID_IIterable_IKeyValuePair_String_SpatialAnchor,
  IID_IIterable_IKeyValuePair_String_AppCapabilityAccessStatus,
  IID_IIterable_IKeyValuePair_String_StoreLicense,
  IID_IIterable_IKeyValuePair_String_StoreProduct,
  IID_IIterable_IKeyValuePair_String_TargetedContentValue,
  IID_IIterable_IKeyValuePair_String_ApplicationDataContainer,
  IID_IIterable_IKeyValuePair_String_IBuffer,
  IID_IIterable_IKeyValuePair_String_RandomAccessStreamReference,
  IID_IIterable_IKeyValuePair_String_ICompositionAnimationBase,
  IID_IIterable_IKeyValuePair_String_SceneAttributeSemantic,
  IID_IIterable_IKeyValuePair_UINT32_IBuffer,
};

/// `IIterable` IIDs used in `IVector` and `IVectorView`.
const vectorIterableIids = <String>{
  IID_IIterable_AccessListEntry,
  IID_IIterable_ActivationSignalDetectionConfiguration,
  IID_IIterable_ActivationSignalDetectionTrainingDataFormat,
  IID_IIterable_ActivationSignalDetector,
  IID_IIterable_ActivationSignalDetectorPowerState,
  IID_IIterable_ActivitySensorReading,
  IID_IIterable_ActivitySensorReadingChangeReport,
  IID_IIterable_ActivityType,
  IID_IIterable_AdcController,
  IID_IIterable_AdvancedPhotoMode,
  IID_IIterable_AllJoynAuthenticationMechanism,
  IID_IIterable_AlternateWordForm,
  IID_IIterable_AppBroadcastPlugIn,
  IID_IIterable_AppDiagnosticInfo,
  IID_IIterable_AppExtension,
  IID_IIterable_AppInfo,
  IID_IIterable_AppInstallItem,
  IID_IIterable_AppInstance,
  IID_IIterable_AppListEntry,
  IID_IIterable_AppRecordingSavedScreenshotInfo,
  IID_IIterable_AppResourceGroupBackgroundTaskReport,
  IID_IIterable_AppResourceGroupInfo,
  IID_IIterable_AppUriHandlerHost,
  IID_IIterable_Appointment,
  IID_IIterable_AppointmentCalendar,
  IID_IIterable_AppointmentException,
  IID_IIterable_AppointmentInvitee,
  IID_IIterable_AppointmentStoreChange,
  IID_IIterable_ArcadeStick,
  IID_IIterable_AttributedNetworkUsage,
  IID_IIterable_AudioDeviceModule,
  IID_IIterable_AudioEffect,
  IID_IIterable_AudioEncodingProperties,
  IID_IIterable_AudioGraphConnection,
  IID_IIterable_AudioStreamDescriptor,
  IID_IIterable_AudioTrack,
  IID_IIterable_AutoFocusRange,
  IID_IIterable_BackgroundAudioTrack,
  IID_IIterable_BackgroundTransferContentPart,
  IID_IIterable_BackgroundTransferFileRange,
  IID_IIterable_BasicGeoposition,
  IID_IIterable_BitmapCodecInformation,
  IID_IIterable_BitmapPixelFormat,
  IID_IIterable_BluetoothLEAdvertisementBytePattern,
  IID_IIterable_BluetoothLEAdvertisementDataSection,
  IID_IIterable_BluetoothLEAdvertisementReceivedEventArgs,
  IID_IIterable_BluetoothLEManufacturerData,
  IID_IIterable_CaptureSceneMode,
  IID_IIterable_CastingSource,
  IID_IIterable_Certificate,
  IID_IIterable_CertificateExtension,
  IID_IIterable_ChainValidationResult,
  IID_IIterable_CharacterGrouping,
  IID_IIterable_ChatConversation,
  IID_IIterable_ChatMessage,
  IID_IIterable_ChatMessageAttachment,
  IID_IIterable_ChatMessageChange,
  IID_IIterable_ChatMessageTransport,
  IID_IIterable_ChatRecipientDeliveryInfo,
  IID_IIterable_ClipboardHistoryItem,
  IID_IIterable_CmsSignerInfo,
  IID_IIterable_CodecInfo,
  IID_IIterable_ConnectionProfile,
  IID_IIterable_ConnectivityInterval,
  IID_IIterable_Contact,
  IID_IIterable_ContactAddress,
  IID_IIterable_ContactAnnotation,
  IID_IIterable_ContactAnnotationList,
  IID_IIterable_ContactChange,
  IID_IIterable_ContactConnectedServiceAccount,
  IID_IIterable_ContactDate,
  IID_IIterable_ContactEmail,
  IID_IIterable_ContactField,
  IID_IIterable_ContactFieldType,
  IID_IIterable_ContactGroup,
  IID_IIterable_ContactInformation,
  IID_IIterable_ContactInstantMessageField,
  IID_IIterable_ContactJobInfo,
  IID_IIterable_ContactList,
  IID_IIterable_ContactLocationField,
  IID_IIterable_ContactMatchReason,
  IID_IIterable_ContactPhone,
  IID_IIterable_ContactSignificantOther,
  IID_IIterable_ContactWebsite,
  IID_IIterable_ConversationalAgentVoiceActivationPrerequisiteKind,
  IID_IIterable_CoreApplicationView,
  IID_IIterable_CortanaPermission,
  IID_IIterable_DateTime,
  IID_IIterable_DetectedFace,
  IID_IIterable_DeviceAccountConfiguration,
  IID_IIterable_DeviceClass,
  IID_IIterable_DeviceInformation,
  IID_IIterable_DeviceWatcherEvent,
  IID_IIterable_DeviceWatcherEventKind,
  IID_IIterable_DigitalWindowCapability,
  IID_IIterable_DirectXPixelFormat,
  IID_IIterable_DisplayAdapter,
  IID_IIterable_DisplayModeInfo,
  IID_IIterable_DisplayPath,
  IID_IIterable_DisplayTarget,
  IID_IIterable_DisplayView,
  IID_IIterable_DnssdServiceInstance,
  IID_IIterable_DownloadOperation,
  IID_IIterable_ESimDiscoverEvent,
  IID_IIterable_ESimProfile,
  IID_IIterable_EmailAttachment,
  IID_IIterable_EmailCertificateValidationStatus,
  IID_IIterable_EmailConversation,
  IID_IIterable_EmailFolder,
  IID_IIterable_EmailMailbox,
  IID_IIterable_EmailMailboxAction,
  IID_IIterable_EmailMailboxChange,
  IID_IIterable_EmailMessage,
  IID_IIterable_EmailRecipient,
  IID_IIterable_EmailRecipientResolutionResult,
  IID_IIterable_EmbeddedAudioTrack,
  IID_IIterable_EndpointPair,
  IID_IIterable_EnhancedWaypoint,
  IID_IIterable_EnterpriseKeyCredentialRegistrationInfo,
  IID_IIterable_EqualizerBand,
  IID_IIterable_FileInformation,
  IID_IIterable_FlightStick,
  IID_IIterable_FocusMode,
  IID_IIterable_FocusPreset,
  IID_IIterable_FolderInformation,
  IID_IIterable_ForceFeedbackMotor,
  IID_IIterable_FrameController,
  IID_IIterable_GUID,
  IID_IIterable_GameListEntry,
  IID_IIterable_GameSaveBlobInfo,
  IID_IIterable_GameSaveContainerInfo,
  IID_IIterable_Gamepad,
  IID_IIterable_GattCharacteristic,
  IID_IIterable_GattClientNotificationResult,
  IID_IIterable_GattDescriptor,
  IID_IIterable_GattDeviceService,
  IID_IIterable_GattLocalCharacteristic,
  IID_IIterable_GattLocalDescriptor,
  IID_IIterable_GattPresentationFormat,
  IID_IIterable_GattSubscribedClient,
  IID_IIterable_GattValueChangedEventArgs,
  IID_IIterable_GazePointPreview,
  IID_IIterable_Geofence,
  IID_IIterable_GeofenceStateChangeReport,
  IID_IIterable_Geopath,
  IID_IIterable_Geopoint,
  IID_IIterable_Geoposition,
  IID_IIterable_Geovisit,
  IID_IIterable_GlobalSystemMediaTransportControlsSession,
  IID_IIterable_GpioChangeRecord,
  IID_IIterable_GpioController,
  IID_IIterable_GuidanceLaneInfo,
  IID_IIterable_GuidanceManeuver,
  IID_IIterable_GuidanceRoadSegment,
  IID_IIterable_HdmiDisplayMode,
  IID_IIterable_HdrVideoMode,
  IID_IIterable_HidBooleanControl,
  IID_IIterable_HidBooleanControlDescription,
  IID_IIterable_HidCollection,
  IID_IIterable_HidNumericControlDescription,
  IID_IIterable_HolographicCamera,
  IID_IIterable_HolographicCameraPose,
  IID_IIterable_HolographicDepthReprojectionMethod,
  IID_IIterable_HolographicFramePresentationReport,
  IID_IIterable_HolographicFrameScanoutReport,
  IID_IIterable_HolographicQuadLayer,
  IID_IIterable_HostName,
  IID_IIterable_HttpChallengeHeaderValue,
  IID_IIterable_HttpConnectionOptionHeaderValue,
  IID_IIterable_HttpContentCodingHeaderValue,
  IID_IIterable_HttpContentCodingWithQualityHeaderValue,
  IID_IIterable_HttpCookie,
  IID_IIterable_HttpCookiePairHeaderValue,
  IID_IIterable_HttpDiagnosticSourceLocation,
  IID_IIterable_HttpExpectationHeaderValue,
  IID_IIterable_HttpLanguageRangeWithQualityHeaderValue,
  IID_IIterable_HttpMediaTypeWithQualityHeaderValue,
  IID_IIterable_HttpMethod,
  IID_IIterable_HttpNameValueHeaderValue,
  IID_IIterable_HttpProductInfoHeaderValue,
  IID_IIterable_HttpTransferCodingHeaderValue,
  IID_IIterable_I2cController,
  IID_IIterable_IAdcControllerProvider,
  IID_IIterable_IAudioEffectDefinition,
  IID_IIterable_IBasicDevice,
  IID_IIterable_IBuffer,
  IID_IIterable_IChatItem,
  IID_IIterable_IContactField,
  IID_IIterable_IDeviceIcon,
  IID_IIterable_IDirect3DSurface,
  IID_IIterable_IGpioControllerProvider,
  IID_IIterable_IHttpContent,
  IID_IIterable_II2cControllerProvider,
  IID_IIterable_IIndexableContent,
  IID_IIterable_IIterable_IKeyValuePair_String_IppAttributeValue,
  IID_IIterable_IIterable_Point,
  IID_IIterable_IJsonValue,
  IID_IIterable_ILampArrayEffect,
  IID_IIterable_ILearningModelFeatureDescriptor,
  IID_IIterable_ILearningModelVariableDescriptorPreview,
  IID_IIterable_IMapView_String_IppAttributeValue,
  IID_IIterable_IMapView_String_Object,
  IID_IIterable_IMediaCue,
  IID_IIterable_IMediaEncodingProperties,
  IID_IIterable_IMediaMarker,
  IID_IIterable_INT64,
  IID_IIterable_IPlayReadyDomain,
  IID_IIterable_IPlayReadyLicense,
  IID_IIterable_IPlayReadySecureStopServiceRequest,
  IID_IIterable_IPropertySet,
  IID_IIterable_IPwmControllerProvider,
  IID_IIterable_IRandomAccessStream,
  IID_IIterable_IRemoteSystemFilter,
  IID_IIterable_ISmsBinaryMessage,
  IID_IIterable_ISmsMessage,
  IID_IIterable_ISpeechRecognitionConstraint,
  IID_IIterable_ISpiControllerProvider,
  IID_IIterable_IStorageFile,
  IID_IIterable_IStorageItem,
  IID_IIterable_IStorageItemInformation,
  IID_IIterable_ISyndicationNode,
  IID_IIterable_IVideoEffectDefinition,
  IID_IIterable_IVpnCustomPrompt,
  IID_IIterable_IVpnCustomPromptElement,
  IID_IIterable_IVpnProfile,
  IID_IIterable_IWwwFormUrlDecoderEntry,
  IID_IIterable_IXmlNode,
  IID_IIterable_ImageStream,
  IID_IIterable_IndexedResourceCandidate,
  IID_IIterable_IndexedResourceQualifier,
  IID_IIterable_InfraredTorchMode,
  IID_IIterable_InstalledDesktopApp,
  IID_IIterable_IppAttributeValue,
  IID_IIterable_IppIntegerRange,
  IID_IIterable_IppResolution,
  IID_IIterable_IppTextWithLanguage,
  IID_IIterable_IsoSpeedPreset,
  IID_IIterable_IsolatedWindowsEnvironment,
  IID_IIterable_IsolatedWindowsEnvironmentHostError,
  IID_IIterable_JapanesePhoneme,
  IID_IIterable_LampArrayEffectPlaylist,
  IID_IIterable_LanIdentifier,
  IID_IIterable_Language,
  IID_IIterable_LocalLocation,
  IID_IIterable_LocalLocationHoursOfOperationItem,
  IID_IIterable_LockScreenBadge,
  IID_IIterable_ManeuverWarning,
  IID_IIterable_ManualFocusDistance,
  IID_IIterable_MapLocation,
  IID_IIterable_MapRoute,
  IID_IIterable_MapRouteLeg,
  IID_IIterable_MapRouteManeuver,
  IID_IIterable_MdmAlert,
  IID_IIterable_MediaBreak,
  IID_IIterable_MediaCaptureVideoProfile,
  IID_IIterable_MediaCaptureVideoProfileMediaDescription,
  IID_IIterable_MediaClip,
  IID_IIterable_MediaFrameFormat,
  IID_IIterable_MediaFrameSource,
  IID_IIterable_MediaFrameSourceGroup,
  IID_IIterable_MediaFrameSourceInfo,
  IID_IIterable_MediaOverlay,
  IID_IIterable_MediaOverlayLayer,
  IID_IIterable_MediaPlaybackItem,
  IID_IIterable_MediaTimeRange,
  IID_IIterable_MicrosoftAccountMultiFactorSessionInfo,
  IID_IIterable_MiracastReceiverConnection,
  IID_IIterable_MiracastTransmitter,
  IID_IIterable_MobileBroadbandAntennaSar,
  IID_IIterable_MobileBroadbandCellCdma,
  IID_IIterable_MobileBroadbandCellGsm,
  IID_IIterable_MobileBroadbandCellLte,
  IID_IIterable_MobileBroadbandCellNR,
  IID_IIterable_MobileBroadbandCellTdscdma,
  IID_IIterable_MobileBroadbandCellUmts,
  IID_IIterable_MobileBroadbandDeviceServiceInformation,
  IID_IIterable_MobileBroadbandNetworkRegistrationStateChange,
  IID_IIterable_MobileBroadbandPinLockStateChange,
  IID_IIterable_MobileBroadbandPinType,
  IID_IIterable_MobileBroadbandRadioStateChange,
  IID_IIterable_MobileBroadbandSlotInfo,
  IID_IIterable_MobileBroadbandUiccApp,
  IID_IIterable_MseSourceBuffer,
  IID_IIterable_MseTimeRange,
  IID_IIterable_NamedResource,
  IID_IIterable_NetworkOperatorTetheringClient,
  IID_IIterable_NetworkUsage,
  IID_IIterable_NitRange,
  IID_IIterable_Object,
  IID_IIterable_OcrLine,
  IID_IIterable_OcrWord,
  IID_IIterable_OfflineMapPackage,
  IID_IIterable_OnlineIdServiceTicket,
  IID_IIterable_OnlineIdServiceTicketRequest,
  IID_IIterable_OpticalImageStabilizationMode,
  IID_IIterable_Package,
  IID_IIterable_PackageContentGroup,
  IID_IIterable_PackageUserInformation,
  IID_IIterable_PackageVolume,
  IID_IIterable_PasswordCredential,
  IID_IIterable_PaymentDetailsModifier,
  IID_IIterable_PaymentItem,
  IID_IIterable_PaymentMethodData,
  IID_IIterable_PaymentShippingOption,
  IID_IIterable_PedometerReading,
  IID_IIterable_PeerInformation,
  IID_IIterable_PerceptionColorFrameSource,
  IID_IIterable_PerceptionCorrelation,
  IID_IIterable_PerceptionDepthFrameSource,
  IID_IIterable_PerceptionInfraredFrameSource,
  IID_IIterable_PerceptionVideoProfile,
  IID_IIterable_PhoneCall,
  IID_IIterable_PhoneCallHistoryEntry,
  IID_IIterable_PhotoImportItem,
  IID_IIterable_PhotoImportOperation,
  IID_IIterable_PhotoImportSidecar,
  IID_IIterable_PhotoImportSource,
  IID_IIterable_PhotoImportStorageMedium,
  IID_IIterable_PhotoImportVideoSegment,
  IID_IIterable_PlatformDiagnosticTraceInfo,
  IID_IIterable_PlaySpeed,
  IID_IIterable_PlaybackMediaMarker,
  IID_IIterable_PnpObject,
  IID_IIterable_Point,
  IID_IIterable_PointerDevice,
  IID_IIterable_PointerDeviceUsage,
  IID_IIterable_PosPrinterRotation,
  IID_IIterable_PrintPageRange,
  IID_IIterable_PrintTicketOption,
  IID_IIterable_Printing3DBaseMaterial,
  IID_IIterable_Printing3DBaseMaterialGroup,
  IID_IIterable_Printing3DColorMaterial,
  IID_IIterable_Printing3DColorMaterialGroup,
  IID_IIterable_Printing3DComponent,
  IID_IIterable_Printing3DComponentWithMatrix,
  IID_IIterable_Printing3DCompositeMaterial,
  IID_IIterable_Printing3DCompositeMaterialGroup,
  IID_IIterable_Printing3DMesh,
  IID_IIterable_Printing3DModelTexture,
  IID_IIterable_Printing3DMultiplePropertyMaterial,
  IID_IIterable_Printing3DMultiplePropertyMaterialGroup,
  IID_IIterable_Printing3DTexture2CoordMaterial,
  IID_IIterable_Printing3DTexture2CoordMaterialGroup,
  IID_IIterable_Printing3DTextureResource,
  IID_IIterable_ProcessDiagnosticInfo,
  IID_IIterable_ProviderNetworkUsage,
  IID_IIterable_ProximitySensorReading,
  IID_IIterable_PwmController,
  IID_IIterable_RacingWheel,
  IID_IIterable_Radio,
  IID_IIterable_RawGameController,
  IID_IIterable_RcsEndUserMessageAction,
  IID_IIterable_RcsTransport,
  IID_IIterable_RectInt32,
  IID_IIterable_RegionOfInterest,
  IID_IIterable_RemoteSystemApp,
  IID_IIterable_RemoteSystemSessionParticipant,
  IID_IIterable_ResourceCandidate,
  IID_IIterable_ResourceCollection,
  IID_IIterable_ResourceMap,
  IID_IIterable_ResourceQualifier,
  IID_IIterable_RevocationAndRenewalItem,
  IID_IIterable_RfcommDeviceService,
  IID_IIterable_SearchSuggestion,
  IID_IIterable_SecondaryAuthenticationFactorInfo,
  IID_IIterable_SelectableWordSegment,
  IID_IIterable_ShareProvider,
  IID_IIterable_SharedPackageContainer,
  IID_IIterable_SharedPackageContainerMember,
  IID_IIterable_SignalDetectorResourceKind,
  IID_IIterable_SimpleHapticsController,
  IID_IIterable_SimpleHapticsControllerFeedback,
  IID_IIterable_Size,
  IID_IIterable_SizeUInt32,
  IID_IIterable_SmartCard,
  IID_IIterable_SmartCardAppletIdGroupRegistration,
  IID_IIterable_SmartCardAutomaticResponseApdu,
  IID_IIterable_SmartCardCryptogramAlgorithm,
  IID_IIterable_SmartCardCryptogramMaterialCharacteristics,
  IID_IIterable_SmartCardCryptogramMaterialPackageCharacteristics,
  IID_IIterable_SmartCardCryptogramMaterialPackageConfirmationResponseFormat,
  IID_IIterable_SmartCardCryptogramMaterialPackageFormat,
  IID_IIterable_SmartCardCryptogramMaterialType,
  IID_IIterable_SmartCardCryptogramPlacementStep,
  IID_IIterable_SmartCardCryptogramStorageKeyCapabilities,
  IID_IIterable_SmartCardCryptogramStorageKeyCharacteristics,
  IID_IIterable_SmsBroadcastType,
  IID_IIterable_SmsFilterRule,
  IID_IIterable_SmsMessageRegistration,
  IID_IIterable_SocialFeedItem,
  IID_IIterable_SocialItemThumbnail,
  IID_IIterable_SoftwareBitmap,
  IID_IIterable_SortEntry,
  IID_IIterable_SpatialBoundingVolume,
  IID_IIterable_SpeechRecognitionResult,
  IID_IIterable_SpiController,
  IID_IIterable_StartupTask,
  IID_IIterable_StorageFile,
  IID_IIterable_StorageFolder,
  IID_IIterable_StorageLibrary,
  IID_IIterable_StorageLibraryChange,
  IID_IIterable_StorageProviderError,
  IID_IIterable_StorageProviderFileTypeInfo,
  IID_IIterable_StorageProviderItemProperty,
  IID_IIterable_StorageProviderItemPropertyDefinition,
  IID_IIterable_StorageProviderSyncRootInfo,
  IID_IIterable_StoreAvailability,
  IID_IIterable_StoreImage,
  IID_IIterable_StorePackageUpdate,
  IID_IIterable_StorePackageUpdateStatus,
  IID_IIterable_StorePreviewProductInfo,
  IID_IIterable_StorePreviewSkuInfo,
  IID_IIterable_StoreQueueItem,
  IID_IIterable_StoreSku,
  IID_IIterable_StoreSystemFeature,
  IID_IIterable_StoreVideo,
  IID_IIterable_String,
  IID_IIterable_SyndicationAttribute,
  IID_IIterable_SyndicationCategory,
  IID_IIterable_SyndicationItem,
  IID_IIterable_SyndicationLink,
  IID_IIterable_SyndicationPerson,
  IID_IIterable_SystemUpdateItem,
  IID_IIterable_TargetedContentAction,
  IID_IIterable_TargetedContentCollection,
  IID_IIterable_TargetedContentFile,
  IID_IIterable_TargetedContentImage,
  IID_IIterable_TargetedContentItem,
  IID_IIterable_TextPhoneme,
  IID_IIterable_TextSegment,
  IID_IIterable_TimeSpan,
  IID_IIterable_TimedMetadataStreamDescriptor,
  IID_IIterable_TimedMetadataTrack,
  IID_IIterable_TimedTextLine,
  IID_IIterable_TimedTextSource,
  IID_IIterable_TimedTextSubformat,
  IID_IIterable_UINT16,
  IID_IIterable_UINT32,
  IID_IIterable_UINT64,
  IID_IIterable_UINavigationController,
  IID_IIterable_UnfulfilledConsumable,
  IID_IIterable_UnsupportedAppRequirement,
  IID_IIterable_UploadOperation,
  IID_IIterable_Uri,
  IID_IIterable_UsbBulkInEndpointDescriptor,
  IID_IIterable_UsbBulkInPipe,
  IID_IIterable_UsbBulkOutEndpointDescriptor,
  IID_IIterable_UsbBulkOutPipe,
  IID_IIterable_UsbDescriptor,
  IID_IIterable_UsbInterface,
  IID_IIterable_UsbInterfaceSetting,
  IID_IIterable_UsbInterruptInEndpointDescriptor,
  IID_IIterable_UsbInterruptInPipe,
  IID_IIterable_UsbInterruptOutEndpointDescriptor,
  IID_IIterable_UsbInterruptOutPipe,
  IID_IIterable_User,
  IID_IIterable_UserActivity,
  IID_IIterable_UserActivitySessionHistoryItem,
  IID_IIterable_UserDataAccount,
  IID_IIterable_UserDataAccountPartnerAccountInfo,
  IID_IIterable_UserDataTask,
  IID_IIterable_UserDataTaskList,
  IID_IIterable_UserWatcherUpdateKind,
  IID_IIterable_VibrationDevice,
  IID_IIterable_VideoEncodingProperties,
  IID_IIterable_VideoStreamDescriptor,
  IID_IIterable_VideoTemporalDenoisingMode,
  IID_IIterable_VideoTrack,
  IID_IIterable_VoiceCommandContentTile,
  IID_IIterable_VoiceInformation,
  IID_IIterable_VpnAppId,
  IID_IIterable_VpnDomainNameInfo,
  IID_IIterable_VpnNamespaceInfo,
  IID_IIterable_VpnPacketBuffer,
  IID_IIterable_VpnRoute,
  IID_IIterable_VpnTrafficFilter,
  IID_IIterable_WalletItem,
  IID_IIterable_WebAccount,
  IID_IIterable_WebAccountClientView,
  IID_IIterable_WebErrorStatus,
  IID_IIterable_WebProviderTokenResponse,
  IID_IIterable_WebTokenResponse,
  IID_IIterable_WebViewControl,
  IID_IIterable_WebViewControlDeferredPermissionRequest,
  IID_IIterable_WiFiAdapter,
  IID_IIterable_WiFiAvailableNetwork,
  IID_IIterable_WiFiDirectConfigurationMethod,
  IID_IIterable_WiFiDirectInformationElement,
  IID_IIterable_WiFiDirectServiceConfigurationMethod,
  IID_IIterable_WiFiWpsKind,
  IID_IIterable_WordSegment,
  IID_IIterable_Workspace,
  IID_IIterable_XboxLiveDeviceAddress,
  IID_IIterable_XboxLiveEndpointPair,
  IID_IIterable_XboxLiveEndpointPairTemplate,
  IID_IIterable_XboxLiveQualityOfServiceMetric,
  IID_IIterable_XboxLiveQualityOfServiceMetricResult,
  IID_IIterable_XboxLiveQualityOfServicePrivatePayloadResult,
  IID_IIterable_ZoomTransitionMode,
  IID_IIterable_bool,
  IID_IIterable_byte,
  IID_IIterable_double,
  IID_IIterable_float,
  IID_IIterable_int,
  IID_IIterable_short,
};
